org.eclipse.emf.cdo.common.lock

## Class IDurableLockingManager.LockAreaAlreadyExistsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.emf.cdo.common.lock.IDurableLockingManager.LockAreaAlreadyExistsException

- All Implemented Interfaces:
    Serializable
  Enclosing interface:
    IDurableLockingManager

      public static class IDurableLockingManager.LockAreaAlreadyExistsException
      extends IllegalStateException

  Exception occurs when attempting to create a durable `IDurableLockingManager.LockArea` that already exists.
  Since:
    4.1
  Author:
    Caspar De Groot
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockAreaAlreadyExistsException(String durableLockingID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDurableLockingID()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LockAreaAlreadyExistsException

          public LockAreaAlreadyExistsException(String durableLockingID)

  - ### Method Detail

    - #### getDurableLockingID

          public String getDurableLockingID()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html